Subject: bug#33546: closed (Re: [bug#33546] [PATCH 0/2] Fix arc-theme)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Dec 2018 17:36:02 +0000

Your bug report

#33546: [PATCH 0/2] Fix arc-theme

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33546: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33546
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33546] [PATCH 0/2] Fix arc-theme
From: Maxim Cournoyer <[email-masked]>
To: Björn Höfling <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Dec 2018 12:35:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Björn,

Björn Höfling <[email-masked]> writes:

> Hi Guix,
>
> this patch fixes compilation issues with the arc-theme on core-updates.
>
> Some questions:
>
> * I cherry-picked a sassc-fix from wip-gnome-upgrades. Is that OK?

I ran `guix refresh -l sassc' and it seems nothing depends on it, so I
think it is!

> * I could not test it: I created a VM with %gnome-services and
> arc-theme as a
> system package, but it was not available in the gnome-tweak-tool.
> Any idea of how to use/test it?

That's a good question; I use arc-theme on a foreign distro to make Guix
applications style match with the host distro style, and there I could
use the native "Themes" tool (Cinnamon desktop) to select the natively
installed arc-theme, and this makes it so that the Guix applications
also use arc-theme (from Guix -- if it's not installed in Guix, it
doesn't work).

I've tested you changes they look good to me. Thanks for fixing the
issue :-).

Merged as a18f8eaf61dbc359a1ca724c147e4600553247fb with minor changes to
the commit message as well as 68464ea259c87cf9e9eec5858f96e0cdf1d4125c.

Thank you!

Maxim

Subject: [PATCH 0/2] Fix arc-theme
From: Björn Höfling <[email-masked]>
To: <[email-masked]>
Date: Thu, 29 Nov 2018 00:44:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

this patch fixes compilation issues with the arc-theme on core-updates.

Some questions:

* I cherry-picked a sassc-fix from wip-gnome-upgrades. Is that OK?
* I could not test it: I created a VM with %gnome-services and
arc-theme as a
system package, but it was not available in the gnome-tweak-tool.
Any idea of how to use/test it?

Björn